import react from "@vitejs/plugin-react";
import { defineConfig } from "vite";

// https://vite.dev/config/
export default defineConfig({
  plugins: [react()],
  server: {
    fs: {
      // Allow serving files from the parent directory, as the font assets are
      // linked from the theme repo's node_modules when it's installed as a
      // local file reference. This isn't needed when @ucam.uis.devops/mui-theme
      // is installed from a built package.
      allow: [".."],
    },
  },
});
