import { CssBaseline } from "@mui/material";
import { ThemeProvider } from "@mui/material/styles";
import { ucamTheme } from "@ucam.uis.devops/mui-theme";
import "@ucam.uis.devops/mui-theme/fonts";
import { StrictMode } from "react";
import { createRoot } from "react-dom/client";

import App from "./App.tsx";

createRoot(document.getElementById("root")!).render(
  <StrictMode>
    <ThemeProvider theme={ucamTheme}>
      <CssBaseline />
      <App />
    </ThemeProvider>
  </StrictMode>,
);
